name: rider_flutter
description: Ride-sharing
publish_to: "none"

version: 3.5.0+311

environment:
  sdk: ^3.9.0
  flutter: ^3.35.0

dependencies:
  sentry_flutter: ^9.8.0
  flutter:
    sdk: flutter

  freezed_annotation: ^3.1.0

  # Geo
  latlong2: ^0.9.1
  geolocator: ^14.0.2

  # Localization
  flutter_localizations:
    sdk: flutter
  intl: any

  # State management
  flutter_bloc: ^9.1.1
  hydrated_bloc: ^10.1.1

  # Dependency injection
  get_it: ^9.1.0
  injectable: ^2.6.0

  # Routing
  auto_route: ^10.2.3

  # Local storage
  hive: ^2.2.3
  hive_flutter: ^1.1.0
  flutter_dotenv: ^6.0.0

  # Helpers
  dartz: ^0.10.1
  rxdart: ^0.28.0
  equatable: ^2.0.7
  path_provider: ^2.1.5
  json_annotation: ^4.9.0
  url_launcher: ^6.3.2
  connectivity_plus: ^7.0.0

  # Firebase
  firebase_analytics: ^12.0.1
  firebase_core: ^4.1.0
  firebase_messaging: ^16.0.1

  # UI
  ionicons: 0.2.2
  flutter_rating_bar: ^4.0.1
  fl_chart: ^1.1.1
  dotted_border: ^3.1.0
  generic_map: ^0.10.3
  flutter_common:
    path: ../../libs/flutter_common
  lottie: ^3.3.2
  time: ^2.1.5

  # Network
  graphql: ^5.2.3
  cached_network_image: ^3.4.1
  collection: ^1.19.1
  dotted_line: ^3.2.3
  share_plus: ^12.0.1
  package_info_plus: ^8.3.1
  api_response: ^0.2.3
  better_localization:
    path: ../../libs/flutter_localizations
  image_faker: ^0.1.0
  moment_dart: ^5.3.0+1

dev_dependencies:
  sentry_dart_plugin: ^3.2.0
  auto_route_generator: ^10.2.6
  build_runner: ^2.10.4
  flutter_gen_runner: ^5.12.0
  flutter_gen: ^5.12.0
  flutter_lints: ^6.0.0
  injectable_generator: ^2.9.0
  build_verify: ^3.1.1
  graphql_codegen: ^3.0.0
  freezed: ^3.2.3
  json_serializable: ^6.11.2
  flutter_launcher_icons: ^0.14.4
  flutter_native_splash: ^2.4.7

flutter:
  uses-material-design: true
  generate: true

  assets:
    - .env.dev
    - .env.prod
    - assets/images/
    - assets/lottie/
    - assets/countries/

  fonts:
    - family: GeneralSans
      fonts:
        - asset: assets/fonts/generalsansextralight.ttf
          weight: 200
        - asset: assets/fonts/generalsanslight.ttf
          weight: 300
        - asset: assets/fonts/generalsansregular.ttf
          weight: 400
        - asset: assets/fonts/generalsansmedium.ttf
          weight: 500
        - asset: assets/fonts/generalsanssemibold.ttf
          weight: 600
        - asset: assets/fonts/generalsansbold.ttf
          weight: 700

    - family: Inter
      fonts:
        - asset: assets/fonts/interthin.ttf
          weight: 100
        - asset: assets/fonts/interextralight.ttf
          weight: 200
        - asset: assets/fonts/interlight.ttf
          weight: 300
        - asset: assets/fonts/interregular.ttf
          weight: 400
        - asset: assets/fonts/intermedium.ttf
          weight: 500
        - asset: assets/fonts/intersemibold.ttf
          weight: 600
        - asset: assets/fonts/interbold.ttf
          weight: 700
        - asset: assets/fonts/interextrabold.ttf
          weight: 800
        - asset: assets/fonts/interblack.ttf
          weight: 900

flutter_gen:
  integrations:
    lottie: true
  assets:
    exclude:
      - .env.dev
      - .env.prod

sentry:
  upload_debug_symbols: true
  upload_source_maps: true
  project: taxi-rider
  org: lumeagency
